osl::ki2 Namespace Reference

## Classes

class | Ki2File
| 「.ki2」という拡張子を持つ2ch形式ファイル. More...

## Functions

const std::string | show (Square)
const std::string | show (Square cur, Square prev)
const std::string | show (Ptype)
const std::string | showPromote (bool)
const std::string | show (Move move, const NumEffectState &state, Move prev=Move())
const std::string | show (const Move *first, const Move *last, const NumEffectState &state, Move prev=Move())
const std::string | show (const Move *first, const Move *last, const char *threatmate_first, const char *threatmate_last, const NumEffectState &state, Move prev=Move())

## Function Documentation

## show() [1/6]

const std::string osl::ki2::show | ( | const Move * | first,
|  | const Move * | last,
|  | const char * | threatmate_first,
|  | const char * | threatmate_last,
|  | const NumEffectState & | state,
|  | Move | prev = Move() )

Definition at line 271 of file ki2.cc.

References osl::Move::isInvalid(), K_TSUMERO, osl::NumEffectState::makeMove(), and show().

## show() [2/6]

const std::string osl::ki2::show | ( | const Move * | first,
|  | const Move * | last,
|  | const NumEffectState & | state,
|  | Move | prev = Move() )

Definition at line 295 of file ki2.cc.

References show().

## show() [3/6]

const std::string osl::ki2::show | ( | Move | move,
|  | const NumEffectState & | state,
|  | Move | prev = Move() )

Definition at line 167 of file ki2.cc.

References osl::NumEffectState::allEffectAt(), osl::misc::GeneralMask< Integer >::any(), osl::BLACK, osl::canPromote(), osl::Square::canPromote(), osl::misc::GeneralMask< Integer >::countBit(), osl::Move::from(), osl::PieceMask::getMask(), osl::isMajor(), osl::Move::isNormal(), osl::Piece::isOnBoardByOwner(), osl::Move::isPass(), osl::Square::isPieceStand(), osl::isPromoted(), osl::Move::isPromotion(), K_BLACK_SIGN, K_HIDARI, K_HIKU, K_MIGI, K_ONAZI, K_PASS, K_SUGU, K_UE, K_UTSU, K_WHITE_SIGN, K_YORU, osl::Move::oldPtype(), osl::SimpleState::pieceAt(), osl::SimpleState::pieceOf(), osl::Move::player(), osl::NumEffectState::promotedPieces(), osl::Piece::ptype(), osl::Ptype_Table, show(), showPromote(), osl::sign(), osl::Piece::square(), osl::misc::GeneralMask< Integer >::takeOneBit(), osl::Move::to(), osl::Square::x(), and osl::Square::y().

## show() [4/6]

const std::string osl::ki2::show | ( | Ptype | ptype | ) |

Definition at line 142 of file ki2.cc.

References K_NARU, osl::PKNIGHT, osl::PLANCE, osl::PSILVER, and osl::unpromote().

## show() [5/6]

const std::string osl::ki2::show | ( | Square | cur,
|  | Square | prev )

Definition at line 160 of file ki2.cc.

References K_ONAZI, and show().

## show() [6/6]

const std::string osl::ki2::show | ( | Square | position | ) |

Definition at line 133 of file ki2.cc.

References osl::Square::isPieceStand(), osl::Square::x(), and osl::Square::y().

Referenced by show(), show(), show(), show(), and osl::record::myshogi::show().

## showPromote()

const std::string osl::ki2::showPromote | ( | bool | promote | ) |

Definition at line 155 of file ki2.cc.

References K_FUNARI, K_NARU, and osl::promote().

Referenced by show().